play.test

## Class TestEngine

- java.lang.Object
- - play.test.TestEngine

    public class TestEngine
    extends java.lang.Object

Run application tests

### Nested Class Summary

Nested Classes
`static class` `TestEngine.TestResult`
`static class` `TestEngine.TestResults`

### Field Summary

Fields
`static java.util.concurrent.ExecutorService` `functionalTestsExecutor`

### Constructor Summary

Constructors
Constructor and Description
`TestEngine()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.List<java.lang.Class>` `allFunctionalTests()`
`static java.util.List<java.lang.String>` `allSeleniumTests()`
`static java.util.List<java.lang.Class>` `allUnitTests()`
`static void` `initTest(java.lang.Class<?> testClass)`
`static TestEngine.TestResults` `run(java.lang.String name)`
`static java.util.List<java.lang.String>` `seleniumTests(java.lang.String testPath, java.util.List<java.lang.String> results)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### functionalTestsExecutor

    public static java.util.concurrent.ExecutorService functionalTestsExecutor

### Constructor Detail

#### TestEngine

    public TestEngine()

### Method Detail

#### allUnitTests

    public static java.util.List<java.lang.Class> allUnitTests()

#### allFunctionalTests

    public static java.util.List<java.lang.Class> allFunctionalTests()

#### seleniumTests

    public static java.util.List<java.lang.String> seleniumTests(java.lang.String testPath,
                                                                 java.util.List<java.lang.String> results)

#### allSeleniumTests

    public static java.util.List<java.lang.String> allSeleniumTests()

#### initTest

    public static void initTest(java.lang.Class<?> testClass)

#### run

    public static TestEngine.TestResults run(java.lang.String name)